html {
    overflow-y: scroll; /* Erzwingt immer einen Scrollbalken */
}

body {
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
    background-color: #000;
    color: #fff;
    padding-right: calc(100vw - 100%); /* Korrigiert die Verschiebung */
    box-sizing: border-box;
}

nav {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: #000;
    padding: 1rem;
    position: sticky;
    top: 0;
    z-index: 1000;
}

nav .logo img {
    max-width: 100%;
    height: auto;
    margin-bottom: -1rem;
    transition: transform 0.3s;
}

nav .menu-items {
    display: flex;
    align-items: center;
}

nav .menu-items a {
    color: #fff;
    text-decoration: none;
    margin: 0 1rem;
    padding: 0.5rem;
    transition: color 0.3s, text-shadow 0.3s;
}

nav .menu-items a:hover {
    color: #ffe168;
    text-shadow: 0px 0px 10px #ffffff;
}

nav .menu-items a.active {
    color: #ffe168;
    text-shadow: 0px 0px 10px #ffffff; /* Gleicher Effekt wie beim Hover */
}

.invisible-button {
    position: absolute;
    top: 0;
    right: 0;
    width: 150px;
    height: 80px;
    background: none;
    border: none;
    cursor: crosshair;
    z-index: 1099; /* Über dem Logo aber unter dem Partikeleffekt */
}

.hero {
    background-image: url('img/hero-image.jpg');
    background-size: cover;
    background-position: center;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.hero h1 {
    font-size: 4rem;
    color: #fff;
    background-color: rgba(0, 0, 0, 0.7);
    padding: 1rem;
    border-radius: 10px;
}

.bio {
    padding: 5rem 2rem;
    text-align: justify;
    border: 1px solid #fff;
    border-radius: 15px;
    max-width: 800px;
    margin: 0 auto;
    background-color: rgba(255, 255, 255, 0.1);
    padding: 2rem;
    hyphens: auto;
    -webkit-hyphens: auto;
}

footer {
    background-color: #111;
    color: #fff;
    text-align: center;
    padding: 1rem;
    margin-top: 2rem;
    border-top: 1px solid #fff;
}

footer p {
    margin: 0.5rem 0;
}

footer a {
    color: #ffeb9d79;
    text-decoration: none;
}

footer a:hover {
    text-decoration: underline;
}



.gallery {
    width: 90%;
    max-width: 1200px;
    margin: 20px auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.thumbnails {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(150px, 1fr));
    gap: 10px;
    justify-content: center;
}

.thumbnails img {
    width: 100%;
    height: auto;
    cursor: pointer;
    transition: transform 0.2s;
    object-fit: cover;
}

.thumbnails img:hover {
    transform: scale(1.1);
}

.lightbox {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.9);
    justify-content: center;
    align-items: center;
    flex-direction: column;
    z-index: 1100;
}

.lightbox-img {
    max-width: 90%;
    max-height: 80%;
}

.info-box {
    margin-top: 20px;
    text-align: center;
}

.close {
    position: absolute;
    top: 20px;
    right: 40px;
    font-size: 40px;
    font-weight: bold;
    cursor: pointer;
}

@media only screen and (max-width: 600px) {
    .close {
        font-size: 30px;
        right: 20px;
    }
}
.container {
    position: relative;
    z-index: 10;
    text-align: center;
    padding: 100px;
}

.button {
    display: block;
    width: 200px;
    padding: 15px;
    margin: 20px auto;
    border-radius: 50px;
    text-decoration: none;
    color: white;
    font-size: 20px;
    font-weight: bold;
    transition: transform 0.3s, box-shadow 0.3s, background-position 0.3s, box-shadow 0.5s ease-in-out;
    background-size: 200% 200%;
    background-position: left bottom;
    box-shadow: 0 0 15px rgba(255, 255, 255, 0.3);
}

.button:hover {
    transform: scale(1.1);
    background-position: right top;
    box-shadow: 0 0 25px rgba(255, 255, 255, 0.6);
}

.button:active {
    transform: scale(0.95);
    box-shadow: 0 0 35px rgba(255, 255, 255, 0.8);
}

.instagram {
    background: linear-gradient(45deg, #f09433, #e6683c, #dc2743, #cc2366, #bc1888);
    background-size: 200% 200%;
    background-position: left bottom;
}

.facebook {
    background: linear-gradient(45deg, #3b5998, #3b5998);
    background-size: 200% 200%;
    background-position: left bottom;
}

.email {
    background: black;
    color: white;
    background-size: 200% 200%;
    background-position: left bottom;
}
